Delete Dataset Ingestion Task
DELETEhttps://api.confident-ai.com/v1/datasets/{alias}/dataset-ingestion-tasks/{datasetIngestionTaskId}
Permanently deletes an ingestion task and unschedules its harvesting job. Goldens it already created stay in the dataset. Requires the Starter plan or above.
Warning: This action cannot be undone.
curl -X DELETE "https://api.confident-ai.com/v1/datasets/{alias}/dataset-ingestion-tasks/{datasetIngestionTaskId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "INGESTION-TASK-ID"
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the dataset.
datasetIngestionTaskIdstringRequiredThe unique identifier of the ingestion task to delete.
Response
successbooleanIndicates if the deletion was successful.
dataobjectShow 1 propertyHide 1 property
idstringThe unique identifier of the deleted ingestion task.